Page MenuHomePhabricator

Update an outdated Phabricator video screencast in our on-wiki documentation: "Screencast showing how to request a project"
Closed, ResolvedPublic

Description

In Google-Code-in-2014 students provided some great video tutorials on how to use our (at that time new) Phabricator issue tracking system.
These video tutorials are and were linked on https://www.mediawiki.org/wiki/Phabricator/Help and its subpages.
As the user interface and functionality of Phabricator changed over the last months some of these videos became outdated (=the shown steps suddenly became wrong).

  • Read the instructions how to create videos from last year's GCI at https://www.mediawiki.org/wiki/Google_Code-in_2014/Phabricator_screencasts (please ignore the outdated "List of screencasts" section on that page).
  • Watch the old version of the video (linked below) that you would like to update.
  • Perform the steps shown in the video yourself in your browser and notice what has changed.
  • Also read the related written documentation about the area that the video covers.
  • Create an updated version of the video with corrected steps.
  • Once your corrected version is "perfect", upload that video on Wikimedia Commons and replace the previous version (via the "Upload a new version of this file" option).
  • Edit https://www.mediawiki.org/wiki/Phabricator/Help (or the corresponding wikipage where the video should be embedded) to show/embed that updated video again (for example, the link to some outdated videos was removed in https://www.mediawiki.org/w/index.php?title=Phabricator/Help&diff=1809457&oldid=1809455 ). Use MediaWiki's "Preview" button to see if your edit is correct before saving.

The video to update is:

Event Timeline

Aklapper created this task.Nov 11 2015, 1:34 PM
Aklapper raised the priority of this task from to Lowest.
Aklapper updated the task description. (Show Details)
Aklapper added a subscriber: Aklapper.
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptNov 11 2015, 1:34 PM

I will mentor this in #GCI2015

The significant differences are on the page: https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects:
If you are not a member of Project-Creators: do xyz..
if you are a member of project-creators: do abc...

and the do's and don'ts for a good name and description (though I don't think we need much detail of that).

Does 'Requesting a Space' need to be included in the new video?

Thank you.

The significant differences are on the page: https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects:
If you are not a member of Project-Creators: do xyz..
if you are a member of project-creators: do abc...

The video should just cover not being a member of Project-Creators (hence filling a task) and also showing that documentation page as the steps that anybody should follow.

Does 'Requesting a Space' need to be included in the new video?

Spaces are out of scope. Just asking for a project, how you make decisions and what they are based on (e.g. the type of project) and showing these steps. :)

Should I exclude instructions on policy? It would be quite complicated for a novice.

husn_shujaat closed this task as Resolved.Dec 21 2015, 7:49 PM
husn_shujaat set Security to None.

As I wrote in the GCI task: "I don't see any edit on https://www.mediawiki.org/wiki/Phabricator/Help yet, as described in https://phabricator.wikimedia.org/T118389 ? :) So I assume this still needs to get uploaded to Wikimedia Commons, or has that happened?"
Hence reopening.

Aklapper reopened this task as Open.Dec 22 2015, 11:40 AM
Aklapper closed this task as Resolved.Dec 22 2015, 1:55 PM

Oh, I missed https://www.mediawiki.org/w/index.php?title=Phabricator%2FCreating_and_renaming_projects&type=revision&diff=1963504&oldid=1960140 ! Thanks for clarifying! All fine then.
Closing as resolved again. Thanks!